body {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    font-family: "Arial";
}

p {
	margin-bottom: 0;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type=number] {
  -moz-appearance: textfield;
}

select {
    -webkit-appearance: none;
    -moz-appearance: none;
    text-indent: 1px;
    text-overflow: '';
}

.load {
    background-color: white;
    position: fixed;
    z-index: 9999;
    top : 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    display: none;
    overflow: hidden;
}

.textarea-link {
    display: block; 
    overflow: hidden; 
    resize: none;
}

.custom-control-input ~ .custom-control-label::before {
    border-radius: 0 !important;
}

.custom-control-input:focus ~ .custom-control-label::before {
    box-shadow:none !important;
    border-radius: 0 !important;
}

.custom-control-input:checked ~ .custom-control-label::before {
    border-radius: 0 !important;
}

.btn:focus {
   box-shadow: none !important;
}

.btn-success:focus {
    box-shadow: none !important;
}

.btn-info:focus {
    box-shadow: none !important;
}

.btn-danger:focus {
    box-shadow: none !important;
}

.btn-secondary:focus {
    box-shadow: none !important;
}

.btn-dark:focus {
    box-shadow: none !important;
}

.btn-warning:focus {
    box-shadow: none !important;
}

.form-control:focus {
    box-shadow: none;
    border-color: #868e96;
}

.form-control.is-valid:focus {
    box-shadow: none;
    border-color: #28a745;
}

.form-control.is-invalid:focus {
    box-shadow: none;
    border-color: #dc3545;
}




/*------------------------------------------------*/
.icon input{
    padding-left:30px;
}

.icon select{
    padding-left:30px;
}
.username:before{
    /*opacity:.5;*/
    color:  #ced4da;
    height:100%;
    font-size: 14px;
    padding: 0 15px; 
    top: 0;
    margin-top: 8px;
    /*display:-webkit-box;
    -webkit-box-pack:center;
    -webkit-box-align:center;*/
    position: absolute;
    content:"\f007";
    font-family: 'Font Awesome\ 5 Free';
    font-weight: 600;
}

.email:before{
    color:  #ced4da;
    height:100%;
    font-size: 14px;
    padding: 0 15px; 
    top: 0;
    margin-top: 8px;
    position: absolute;
    content:"\f0e0";
    font-family: 'Font Awesome\ 5 Free';
    font-weight: 600;
}

.password:before{
    /*opacity:.5;*/
    color:  #ced4da;
    height:100%;
    font-size: 14px;
    padding: 0 15px; 
    top: 0;
    margin-top: 8px;
    position: absolute;
    content:"\f023";
    font-family: 'Font Awesome\ 5 Free';
    font-weight: 600;
}

.address:before{
    color:  #ced4da;
    height:100%;
    font-size: 14px;
    padding: 0 10px; 
    top: 0;
    margin-top: 5px;
    position: absolute;
    content:"\f1ad";
    font-family: 'Font Awesome\ 5 Free';
    font-weight: 600;
}

.tanggal:before{
    color:  #ced4da;
    height:100%;
    font-size: 14px;
    padding: 0 10px; 
    top: 0;
    margin-top: 5px;
    position: absolute;
    content:"\f133";
    font-family: 'Font Awesome\ 5 Free';
    font-weight: 600;
}

.posisi:before{
    color:  #ced4da;
    height:100%;
    font-size: 14px;
    padding: 0 10px; 
    top: 0;
    margin-top: 5px;
    position: absolute;
    content:"\f2bd";
    font-family: 'Font Awesome\ 5 Free';
    font-weight: 600;
}

.phone:before{
    color:  #ced4da;
    height:100%;
    font-size: 14px;
    padding: 0 10px; 
    top: 0;
    margin-top: 5px;
    position: absolute;
    content:"\f095";
    font-family: 'Font Awesome\ 5 Free';
    font-weight: 600;
}

.sosial:before{
    color:  #ced4da;
    height:100%;
    font-size: 14px;
    padding: 0 10px; 
    top: 0;
    margin-top: 5px;
    position: absolute;
    content:"\f0ac";
    font-family: 'Font Awesome\ 5 Free';
    font-weight: 600;
}

.key:before{
    color:  #ced4da;
    height:100%;
    font-size: 14px;
    padding: 0 10px; 
    top: 0;
    margin-top: 5px;
    position: absolute;
    content:"\f084";
    font-family: 'Font Awesome\ 5 Free';
    font-weight: 600;
}


/*-------------------------------------*/
.upload-foto{
    position:relative;
}

.upload-foto input[type="file"]{
    position: absolute;
    top: -9999999;
    filter: alpha(opacity=0);
    opacity: 0;
    width:0;
    height:0;
    outline: none;
    cursor: inherit; 
}

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    /*display: none;*/
    position: absolute;
    background-color: #17a2b8;

    width: 100%;
    bottom: 0;
    height: 0;
    overflow: hidden;
    /*min-width: 160px;*/
    /*box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);*/
    z-index: 1;
    transition: 1s ease;
    border-radius: 0 0 0.2rem 0.2rem
}

.dropdown-content a {
    color: black;
    padding: auto;
    text-decoration: none;
    display: block;
}

.dropdown-content a:hover {
    background-color: #148c9f;

}

.dropdown:hover .dropdown-content {/*display: block;*/ height: 26px}

.dropdown:hover .img-fluid {padding: 0px;}

.dropdown:hover {
    /*padding: 12px 16px;*/
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);
}


/*-------------------------------------------*/
.text-fb {
	color: #2b485c;
}

.bg-fb {
	background-color: #2b485c;
}

.alert-fb {
    background-color: #dce7ef;
}

.text-pink {
    color: #e83e8c;
}

.bg-pink {
    background-color: #e83e8c;
}

.bg-fb-dark {
    background-color: #213745;
}

.text-fb-dark {
    color: #213745;
}

.text-indigo {
    color: #6610f2;
}

.bg-indigo {
    background-color: #6610f2;
}

.text-orange {
    color: #fd7e14;
}

.bg-orange {
    background-color: #fd7e14;
}

.text-teal {
    color: #20c997;
}

.bg-teal {
    background-color: #20c997;
}

.zoom {
    animation: zoominoutsinglefeatured 1s ease-out infinite normal;
}

@keyframes zoominoutsinglefeatured {
    0% {
        transform: scale(1,1);
    }
    50% {
        transform: scale(1.1,1.1);
    }
    100% {
        transform: scale(1,1);
    }

}

@media (max-width: 767px) {
    .table-responsive{
        overflow-x: auto;
        overflow-y: auto;
    }
}
@media (min-width: 767px) {
    .table-responsive{
        overflow: inherit !important; /* Sometimes needs !important */
    }
}

/*--------------------------------Tombol menu*/
.tombol-menu {
    position: fixed; 
    top: 100; 
    width: 100%; 
    z-index: 1000;
}

.bg-purple {
    background-color: #6f42c1;
}

.text-purple {
    color: #6f42c1;
}

.btn-purple {
    color: #fff !important;
    background-color: #6f42c1 !important;
    border-color: #6f42c1;
}

.btn-purple:hover {
    color: #fff;
    background-color: #56329a !important;
    border-color: #4c2c87 !important;
}

.btn-purple:focus {
    color: #fff;
    background-color: #56329a !important;
    border-color: #4c2c87 !important;
    box-shadow: none !important;
}

.border-purple {
    border: 1px solid #6f42c1 !important;
}

/* Dashboard */
.box-on {
    background-image: linear-gradient(to right,
            transparent 33%,
            rgba(255, 255, 255, 0.3) 50%,
            transparent 66%);
    background-size: 300% 100%;
    animation: shine 2s infinite;
    font-size: 75%;
    border-radius: none;
    font-weight: 700;
}

@keyframes shine {
    0% {
        background-position: right;
    }
}

.status {
    position: absolute;
    color: #fff;
    right: 0;
    top: 10px;
    background-color: #28a745;
    padding: 0 2em 0 2em;
    border-radius: 0 0 0 1em;
    z-index: 100;
}

.button-status {
    position: absolute;
    right: 10px;
    top: 10px;
    background-color: #fff;
    z-index: 100;
}

.sweet_loader {
    width: 140px;
    height: 140px;
    margin: 0 auto;
    animation-duration: 0.5s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    animation-name: ro;
    transform-origin: 50% 50%;
    transform: rotate(0) translate(0, 0);
}

@keyframes ro {
    100% {
        transform: rotate(-360deg) translate(0, 0);
    }
}

/* card-box */
.card-box {
    position: relative;
    /* color: #fff; */
    padding: 20px 10px 40px;
    /* margin: 20px 0px; */
    border-radius: 0.25rem;
    overflow: hidden;
}

.card-box:hover {
    text-decoration: none;
    /* background-color: #b1dfe7; */
    box-shadow: 0 0.125rem 0.25rem rgb(0 0 0 / 8%) !important;
}

.card-box:hover .icon i {
    font-size: 100px;
    transition: 1s;
    -webkit-transition: 1s;
}

.card-box .inner {
    padding: 5px 10px 0 10px;
}

/* .card-box h3 {
    font-size: 27px;
    font-weight: bold;
    margin: 0 0 8px 0;
    white-space: nowrap;
    padding: 0;
    text-align: left;
} */

/* .card-box p {
    font-size: 15px;
} */

.card-box .icon {
    position: absolute;
    top: auto;
    bottom: -20px;
    left: 15px;
    z-index: 0;
    font-size: 90px;
    color: rgba(0, 0, 0, 0.075);
}

.card-box .card-box-footer {
    position: absolute;
    left: 0px;
    bottom: 0px;
    text-align: center;
    padding: 3px 0;
    color: rgba(255, 255, 255, 0.8);
    background: rgba(0, 0, 0, 0.1);
    width: 100%;
    text-decoration: none;
}

.card-box:hover .card-box-footer {
    background: rgba(0, 0, 0, 0.3);
    border-radius: 0 0 0.25rem 0.25rem;
}


/* card-box-sm */
.card-box-sm {
    position: relative;
    padding: 20px 10px 40px;
    border-radius: 0.25rem;
    overflow: hidden;
}

.card-box-sm .icon-sm {
    position: absolute;
    top: auto;
    bottom: 0px;
    right: 15px;
    z-index: 0;
    font-size: 50px;
    color: rgba(0, 0, 0, 0.15);
}

/* Materi */
.menu-subtema {
    color: #868e96;
}

.menu-subtema:hover {
    color: #6f42c1 !important;
}

.tb-hover:hover {
    background-color: #f8f9fa
}

/* TinyMCE */
.tox-tinymce {
    border-radius: 0.2rem !important;
}
